/* 
 * Client.java 1.0 2002-08-30
 *
 *  2002 Jouni Smed
 *
 * This software is provided for educational and non-commercial use only.
 *
 */
import java.io.InputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;

public class Client extends fi.utu.cs.hockey.AIsHockeyClient
	{
	public Client(InputStream in)
		{
		super(in);
		}
	
	public static void main(String args[])
		{
		if (args.length != 1) 
			{
			System.err.println("Usage: Client <configuration file>");
			System.exit(0);
			}		
		try
			{
			new Client(new FileInputStream(args[0]));
			}
		catch (FileNotFoundException e)
			{
			System.err.println("Configuration file not found: " + args[0]);
			System.exit(0);			
			}
		}
	}