/* 
 * Server.java 1.0 2002-08-30
 *
 *  2002 Jouni Smed
 *
 * This software is provided for educational and non-commercial use only.
 *
 */
import java.io.InputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.awt.event.WindowEvent;
import java.awt.event.WindowAdapter;

public class Server extends fi.utu.cs.hockey.AIsHockeyServer
	{
	public Server(InputStream in)
		{
		super(in);
		}
	
  public static void main(String args[])
    {
    if (args.length != 1) 
      {
      System.err.println("Usage: AIsHockeyServer <configuration file>");
      System.exit(0);
      }   
    try
      {
    	new Server(new FileInputStream(args[0]));
      }
    catch (FileNotFoundException e)
      {
      System.err.println("Configuration file not found: " + args[0]);
      System.exit(0);     
      }
    }
	}